package com.yizhi.forum.application.feign;


import com.yizhi.forum.application.vo.forum.PostsVisibleRangeVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@FeignClient(name = "cloud-forum", contextId = "PostsVisibleRangeClient")
public interface PostsVisibleRangeClient {

    @GetMapping("/postsVisibleRange/getVisibleRange")
    public List<PostsVisibleRangeVo> getVisibleRange(@RequestParam("postsId") Long postsId);
}

