package com.yizhi.forum.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsContentVo", description = "帖子内容表")
public class PostsContentVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
	private Long id;

    @ApiModelProperty(value = "帖子id")
	private Long postsId;

    @ApiModelProperty(value = "帖子内容")
	private String content;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")
	private Integer deleted;

	private Long createById;

	private String createByName;

	private Date createTime;

	private Long updateById;

	private String updateByName;

	private Date updateTime;



}
