package com.yizhi.forum.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsFavoriteVo", description = "帖子收藏表")
public class PostsFavoriteVo {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "帖子id")
	private Long postsId;

	private Long accountId;

	@ApiModelProperty(value = "是否删除(0:否,1:是)")
	private Integer deleted;

	private Long createById;

	private String createByName;

	private Date createTime;

	private Long updateById;

	private String updateByName;

	private Date updateTime;

	private Long companyId;

	private Long siteId;

	private Long orgId;



}
