package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsManageVo", description = "管理端帖子Vo")

public class PostsManageVo {

    @ApiModelProperty(value = "帖子id")
    private Long id;

    @ApiModelProperty(value = "帖子分类id")
    private Long postsClassifyId;

    @ApiModelProperty(value = "状态  0：草稿 1：未上架   2：上架")
    private String status;

    @ApiModelProperty(value = "帖子名称")
    private String title;

    @ApiModelProperty(value = "作者用户id")
    private Long author;

    @ApiModelProperty(value = "是否置顶 0：未置顶（默认） 1:置顶")
    private Integer isTop;

    @ApiModelProperty(value = "是否加精 0：未加精（默认） 1:加精")
    private Integer isHighlight;

    @ApiModelProperty(value = "作者用户名")
    private String authorName;

    @ApiModelProperty(value = "举报人数")
    private Integer informNum;

    @ApiModelProperty(value = "是否有新的举报而未被管理  0：未被管理（默认） 1：已被管理")
    private Integer hasNewInform;

    @ApiModelProperty(value = "回复人数")
    private Integer replyNum;

    @ApiModelProperty(value = "评论人数")
    private Integer commentNum;

    @ApiModelProperty(value = "未被管理员阅读评论数")
    private Integer newCommentNum;

    @ApiModelProperty(value = "是否已经被管理   0：未被管理（默认） 1：已被管理")
    private Integer hasManage;

    @ApiModelProperty(value = "修改时间 初始值为发表时间")
    private Date updateTime;
}
