package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsRelationVo", description = "帖子关联业务表")

public class PostsRelationVo {

    @ApiModelProperty(value = "id")
	private Long id;

    @ApiModelProperty(value = "业务类型" +
			"1：training、2：course、3：offline_course、4：exam、5：research、6：live、7：assignment、8：案列活动、9：精选案列")
	private Integer type;

    @ApiModelProperty(value = "业务id")
	private Long relationId;

    @ApiModelProperty(value = "帖子id")
	private Long postsId;

    @ApiModelProperty(value = "业务logo")
	private String taskLogo;

    @ApiModelProperty(value = "业务名称")
	private String taskName;

	@ApiModelProperty(value = "备用字段 目前存放直播频道号")
	private String spareField;

	@ApiModelProperty(value = "观看类型：0: 公开播放 ; 1: 站内授权播放; ")
	private Integer viewType;
}
