package com.yizhi.forum.application.controller;


import com.yizhi.forum.application.feign.PostsClassifyAccountClient;
import com.yizhi.forum.application.service.IPostsClassifyAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 分类可评论人员、可发帖人员接口
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/postsClassifyAccount")
public class PostsClassifyAccountController implements PostsClassifyAccountClient {

    @Autowired
    private IPostsClassifyAccountService postsClassifyAccountService;

    @Override
    @GetMapping("/canComment")
    public Integer canComment(@RequestParam("postsId") Long postsId) {
        return postsClassifyAccountService.canComment(postsId);
    }
}

