package com.yizhi.forum.application.vo.forum;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsAppendixVo", description = "帖子附件表")
public class PostsAppendixVo {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "帖子id")
    @TableField("posts_id")
    private Long postsId;

    @ApiModelProperty(value = "附件名称 ")
    private String name;

    @ApiModelProperty(value = "附件大小")
    @TableField("file_size")
    private Double fileSize;

    @ApiModelProperty(value = "文件后缀名")
    @TableField("file_suffer")
    private String fileSuffer;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "阿里云下载路径")
    private String aliyunUrl;

    @ApiModelProperty(value = "附件类型  ：1、文档；2、图片；3、音频；4、视频；5、其他(压缩包)")
    private Integer type;

    private List<PdfPagesVo> pdfPages;
}
