package com.yizhi.forum.application.controller;


import com.yizhi.forum.application.constans.ForumConstans;
import com.yizhi.forum.application.feign.PostsReadRecordsClient;
import com.yizhi.forum.application.service.IPostsReadRecordsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/postsReadRecords")
public class PostsReadRecordsController implements PostsReadRecordsClient {
    @Autowired
    private IPostsReadRecordsService postsReadRecordsService;


    @Override
    @GetMapping("/insertReadRecord")
    public Integer insertReadRecord(@RequestParam("postsId") Long postsId, @RequestParam("terminalType") Integer terminalType) {
        //插入查看帖子的阅读记录
        return postsReadRecordsService.insertRecord(ForumConstans.ZERO, postsId, terminalType);
    }
}

