package com.yizhi.forum.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.domain.PostsFavorite;
import com.yizhi.forum.application.vo.domain.PostsFavoriteVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsFavoriteService extends IService<PostsFavorite> {

    List<Long> getPostsIds(Long accountId,Long siteId);

    Integer save(PostsFavoriteVo postsFavorite);

    Integer deleted(PostsFavoriteVo postsFavorite);

    //是否需要带上当前用户的id
    Integer hasFavoriteByPostsId(Long postsId, Boolean accountId);

    Map<Long,Integer> hasFavoriteByPostsIds(List<Long> postsIds);

}
